Bug 266100 - Mediaplayer plugin: Cannot stop video in buffering mode
Summary: Mediaplayer plugin: Cannot stop video in buffering mode
Status: RESOLVED FIXED
Alias: None
Product: ktorrent
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Gentoo Packages Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Joris Guisson
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-02-11 20:47 UTC by Alexey Shildyakov
Modified: 2011-02-22 21:31 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alexey Shildyakov 2011-02-11 20:47:16 UTC
Version:           unspecified (using KDE 4.6.0) 
OS:                Linux



Reproducible: Always

Steps to Reproduce:
1. Download video torrent
2. Try to play this video in Mediaplayer plugin when it's downloading
3. Play some time
4. Playing stops in buffering state
5. Try to Stop video (by Stop button). Also try close video tab and then try to stop.

Actual Results:  
Video doesn't stop.

Expected Results:  
Video should stop. And after closing video tab, video (media) object sohuld be destroyed to free memory.

OS: Linux (x86_64) release 2.6.37-gentoo
Compiler: x86_64-pc-linux-gnu-gcc
Comment 1 Joris Guisson 2011-02-12 12:18:44 UTC
Git commit fdbf8b4fca63fb4c1cfc9d8b79030af6d03ba42d by Joris.
Committed on 12/02/2011 at 12:17.
Pushed by guisson into branch 'master'.

Make links clickable in the status tab comments field

BUG: 266100

M  +1    -0    ChangeLog     
M  +28   -8    plugins/infowidget/statustab.cpp     
M  +1    -0    plugins/infowidget/statustab.h     

http://commits.kde.org/ktorrent/fdbf8b4fca63fb4c1cfc9d8b79030af6d03ba42d
Comment 2 Joris Guisson 2011-02-12 12:19:38 UTC
Crap, committed to wrong bug
Comment 3 Joris Guisson 2011-02-14 20:35:12 UTC
Git commit fe8194d55408a1a657452fd10ffd7aa405cbb72b by Joris.
Committed on 14/02/2011 at 20:33.
Pushed by guisson into branch 'master'.

Fix mediaplayer unable to stop in buffering mode when streaming

BUG: 266100

M  +1    -0    ChangeLog     
M  +2    -2    plugins/mediaplayer/mediafile.cpp     
M  +10   -2    plugins/mediaplayer/mediafilestream.cpp     
M  +1    -1    plugins/mediaplayer/mediafilestream.h     
M  +11   -7    plugins/mediaplayer/mediaplayer.cpp     
M  +2    -3    plugins/mediaplayer/mediaplayer.h     
M  +3    -7    plugins/mediaplayer/mediaplayeractivity.cpp     
M  +1    -1    plugins/mediaplayer/mediaplayeractivity.h     
M  +14   -27   plugins/mediaplayer/videowidget.cpp     
M  +0    -7    plugins/mediaplayer/videowidget.h     

http://commits.kde.org/ktorrent/fe8194d55408a1a657452fd10ffd7aa405cbb72b
Comment 4 Joris Guisson 2011-02-14 20:36:18 UTC
Git commit d8f65b38faed6c988dfdf85cf06d741fd8f7d7c7 by Joris.
Committed on 14/02/2011 at 20:33.
Pushed by guisson into branch '4.1'.

Backport to 4.1: Fix mediaplayer unable to stop in buffering mode when streaming

CCBUG: 266100

M  +1    -0    ChangeLog     
M  +2    -2    plugins/mediaplayer/mediafile.cpp     
M  +10   -2    plugins/mediaplayer/mediafilestream.cpp     
M  +1    -1    plugins/mediaplayer/mediafilestream.h     
M  +11   -7    plugins/mediaplayer/mediaplayer.cpp     
M  +2    -3    plugins/mediaplayer/mediaplayer.h     
M  +3    -7    plugins/mediaplayer/mediaplayeractivity.cpp     
M  +1    -1    plugins/mediaplayer/mediaplayeractivity.h     
M  +14   -27   plugins/mediaplayer/videowidget.cpp     
M  +0    -7    plugins/mediaplayer/videowidget.h     

http://commits.kde.org/ktorrent/d8f65b38faed6c988dfdf85cf06d741fd8f7d7c7
Comment 5 Alexey Shildyakov 2011-02-22 14:54:36 UTC
Is it normal behavior not to stop video immediately after click "Stop" but only after buffering chunk was downloaded?

ktorrent at: 7182b125436db872c8a1160d82b3d864e9d4b4fd
Comment 6 Joris Guisson 2011-02-22 18:11:54 UTC
Yes for some reason you have to send phonon a bit more data for it to stop. It seems to get stuck in a waiting for data state, and if you send phonon some more it will come out of that state, see that it has to stop and then finally stop.

It's precisely what the fix above does.
Comment 7 Alexey Shildyakov 2011-02-22 21:31:18 UTC
Ok. I'll see. But the original problem is not solved. From your words it comes from Phonon. So, should you reassign to Phonon team or just open new bug? The problem to stop video immediately in buffering state too without reciving more data. Is this a wish?